Skip to main content

Get ABHA-address QR code

Endpoint: GET /abha/api/v3/phr/web/login/profile/abha/qr-code

GET/abha/api/v3/phr/web/login/profile/abha/qr-code

Flow: ABHA Address Login - Mobile OTP - step 6 of 6

  • Previous: *Get PHR card*
  • Next: none (last call of this flow)

---

This API endpoint is used to generate a QR code for a complete ABHA address profile. The QR code can be used to quickly access and share the user’s ABHA address profile information. This is particularly useful for healthcare providers to retrieve patient information efficiently and securely.

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

X-tokenstringRequired

User token (Bearer <token>) received after ABHA creation / login.

REQUEST-IDstringRequired

Unique UUID for every request.

TIMESTAMPstringRequired

Current UTC timestamp in ISO-8601 format.

Responses

200

Receives a QR code as a response which can be used to quickly access and share the user’s ABHA profile information.

401

Unauthorized

Everything returns 401

500

Internal Server Error

Error codes for this module